<?php
include 'mysql.php';
include_once("inclydings/gzips.php");
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include 'inclydings/sesi.php';
if (isset($user)) {
echo "<b>Личная почта:</b><br/>";
if($game=="alldel"){
mysql_query("DELETE FROM `table_sends` WHERE `nick`='".$log."'");
echo "Личные сообщения очищены";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
include_once"inclydings/down.php";
exit;
}

if($game=="alldelih"){
mysql_query("DELETE FROM `table_resends` WHERE `nick`='".$log."'");
echo "Исходящие сообщения очищены";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
include_once"inclydings/down.php";
exit;
}

if($game=="del"){
$g=mysql_query("SELECT * FROM `table_sends` WHERE `id`='$id' AND `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==1){
mysql_query("DELETE FROM `table_sends` WHERE `id`='".$id."' AND `nick`='".$log."'");
echo "Сообщение удалено";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
}else{
echo "У вас нет такого сообщения";}
include_once"inclydings/down.php";
exit;
}

if($game=="spam"){
$g=mysql_query("SELECT * FROM `table_sends` WHERE `id`='$id' AND `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==1){
$result666 = mysql_query("SELECT * FROM `table_sends` WHERE `id`='".$id."' AND `nick`='".$log."'");
$po = mysql_fetch_array($result666);
$time = date("H:i:s");
$query = "INSERT INTO table_spams VALUES('$i','$log','$po[nik]','$time','$po[msg]')";
$result = mysql_query($query);
echo "Ваше сообщение отправлено Администрации на рассмотрение";
}else{
echo "У вас нет такого сообщения";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
}
include_once"inclydings/down.php";
exit;
}

if($game=="ddel"){
$g=mysql_query("SELECT * FROM `table_resends` WHERE `id`='$id' AND `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==1){
mysql_query("DELETE FROM `table_resends` WHERE `id`='".$id."' AND `nick`='".$log."'");
echo "Сообщение удалено";
}else{
echo "Вы не отправляли такое сообщение";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
}
include_once"inclydings/down.php";
exit;
}

if($game=="msg"){
$proverka = @file("L2dbnam/esql2db/reg/$uzer.dat");
$ster = strlen($uzer);
if (empty($proverka) || $ster < 1){
if(empty($nik)){echo "Вы не ввели ник адресата";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
include_once"inclydings/down.php";
exit;
}
if(empty($msg)){echo "Вы не ввели сообщение";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
include_once"inclydings/down.php";
exit;
}
if($udata[9]<"10"){echo"Почту можно писать только с 10 уровня.";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
include_once"inclydings/down.php";
exit;
}

$g=mysql_query("SELECT * FROM `table_sendcloses` WHERE `nick`='$nik' LIMIT 1");
if(mysql_num_rows($g)==1){
echo "Этот персонаж закрыл себе почту";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
include_once"inclydings/down.php";
exit;
}
if($transi=="ok"){

require_once "inclydings/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}
}
////////////////////////////// send message /////////
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$fal = @file("L2dbnam/esql2db/reg/$nik.dat");
$udata = explode(":||:",$fal[0]);
$udata[22]=trim($udata[22]+1);
$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';


$fp=fopen("L2dbnam/esql2db/reg/$nik.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);


$data=date("d-F-Y", time());
$data = str_replace("January","01",$data);
$data = str_replace("February","02",$data);
$data = str_replace("March","03",$data);
$data = str_replace("April","04",$data);
$data = str_replace("May","05",$data);
$data = str_replace("June","06",$data);
$data = str_replace("July","07",$data);
$data = str_replace("August","08",$data);
$data = str_replace("September","09",$data);
$data = str_replace("October","10",$data);
$data = str_replace("November","11",$data);
$data = str_replace("December","12",$data);
$time = date("H:i:s");
$g=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==1){
$msg="<font color=#00CED1>$msg</font>";
}
$g=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==1){
$msg="<font color=#DAA520>$msg</font>";
}
mysql_query("UPDATE `table_uzers` SET `pism`='$pi' WHERE `nick`='$nik'");
$query = "INSERT INTO table_sends VALUES('$id','$nik','$log','$data [$time]','$msg')";
$result = mysql_query($query);
$query = "INSERT INTO table_resends VALUES('$id','$log','$nik','$data [$time]','$msg')";
$result = mysql_query($query);


echo "Сообщение отправлено";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
}else{echo "В базе данных нет такого игрока";}
include_once"inclydings/down.php";
exit;
}
if($game=="send"){
if(empty($nik)){
echo'<form method="post" action="send.php?'.$sd.'&game=msg">';
echo "<br/>- Ник:<br/>";
echo "<input class=\"button\" name=\"nik\" maxlength=\"30\" title=\"Ник\" emptyok=\"true\"/>";
}else{
echo'<form method="post" action="send.php?'.$sd.'&game=msg&nik='.$nik.'">';
echo "- Ник: $nik";
}
echo "<br/>- Сообщение:<br/>";
echo "<input class=\"button\" name=\"msg\" maxlength=\"500\" title=\"Сообщение\" emptyok=\"true\"/><br/>";
echo '<input type="checkbox" name="transi" value="ok">Транслит<br/>';
echo '<input class="button" type="submit" value="Написать"/></form>';
echo "<li><a href=\"send.php?$sd\">В почту</a>";
include_once"inclydings/down.php";
exit;
}




if($game=="ih"){
$g=mysql_query("SELECT * FROM `table_resends` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==1){
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_resends` WHERE `nick`='$log' ORDER by `id` DESC LIMIT $startan,$num_msgs_an");
while($row=mysql_fetch_array($qi))
{
echo "Кому: <a href=\"search.php?$sd&go=go&nick=$row[nik]\">$row[nik] </a> ($row[time])<br/>
Сообщение: $row[msg]<br/>";
echo '<a href="send.php?'.$sd.'&game=ddel&id='.$row['id'].'">Удалить</a><br/><br/>';
}
}else{
echo "У вас нету отправленных сообщений.<br/>";}
$q = mysql_query("SELECT COUNT(`nick`) FROM `table_resends` WHERE `nick`='$log'");
$kol = mysql_result($q, 0);

if($startan!= 0) $page2left = ' <a href= send.php?'.$sd.'&startan='. ($startan - 5) .'&page='.($page-1).'&game=ih>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 5) $page2right = ' | <a href= send.php?'.$sd.'&startan='. ($startan + 5) .'&page='. ($page+1) .'&game=ih>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';

if ($startan != 0) {echo '<a href="send.php?'.$sd.'&startan='.($startan - 5).'&game=ih&page='.($page-1).'">Назад</a> ';}
if ($kol > $startan + 5) {echo ' <a href="send.php?'.$sd.'&startan='.($startan + 5).'&game=ih&page'.($page+1).'">Далее</a>';}
echo "<li><a href=\"send.php?$sd&game=alldelih\">Очистить исходящие сообщения</a>";
include_once"inclydings/down.php";
exit;
}

///
if($game=="onoff"){
$g=mysql_query("SELECT * FROM `table_sendcloses` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==0){
$query = "INSERT INTO table_sendcloses VALUES('$log')";
$result = mysql_query($query);
echo "Вы закрыли почту";
}else{
mysql_query("DELETE FROM `table_sendcloses` WHERE `nick`='".$log."'");
echo "Вы открыли почту";
}
include_once"inclydings/down.php";
exit;
}
// ///////////////////////////////////////////////////////////////////////////////////////////
// ////////////////////////////СТАВИМ СЧЕТЧИК ПИСЕМ НА НОЛЬ//////////////////////////////////
$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:", $fal[0]);


$textus = $udata[0] . ':||:' . $udata[1] . ':||:' . $udata[2] . ':||:' . $udata[3] . ':||:' . $udata[4] . ':||:' . $udata[5] . ':||:' . $udata[6] . ':||:' . $udata[7] . ':||:' . $udata[8] . ':||:' . $udata[9] . ':||:' . $udata[10] . ':||:' . $udata[11] . ':||:'
. $udata[12] . ':||:' . $udata[13] . ':||:' . $udata[14] . ':||:' . $udata[15] . ':||:' . $udata[16] . ':||:' . $udata[17] . ':||:' . $udata[18] . ':||:' . $udata[19] . ':||:' . $udata[20] . ':||:' . $udata[21] . ':||:0:||:' . $udata[23] . ':||:' . $udata[24]
. ':||:' . $udata[25] . ':||:' . $udata[26] . ':||:' . $udata[27] . ':||:' . $udata[28] . ':||:' . $udata[29] . ':||:' . $udata[30] . ':||:' . $udata[31] . ':||:' . $udata[32] . ':||:' . $udata[33] . ':||:' . $udata[34] . ':||:' . $udata[35] . ':||:' . $udata[36]
. ':||:' . $udata[37] . ':||:' . $udata[38] . ':||:' . $udata[39] . ':||:' . $udata[40] . ':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';


$fp = fopen("L2dbnam/esql2db/reg/$log.dat", "a+");
flock ($fp, LOCK_EX);
ftruncate ($fp, 0);
fputs($fp, "$textus");
fflush ($fp);
flock ($fp, LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/reg/$log.dat", 0666);
// ///////////////////////////////////////////////////////////////////////////////////////////
$g=mysql_query("SELECT * FROM `table_sends` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==1){
mysql_query("UPDATE `tb_uzers` SET `pism`='0' WHERE `nick`='$log'");
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_sends` WHERE `nick`='$log' ORDER by `id` DESC LIMIT $startan,$num_msgs_an");
while($row=mysql_fetch_array($qi))
{
echo "От: <a href=\"search.php?$sd&go=go&nick=$row[nik]\">$row[nik] </a>($row[time])<br/>
Сообщение: $row[msg]<br/>";
echo "<a href=\"send.php?$sd&game=send&nik=$row[nik]\">Ответить</a>|<a href=\"send.php?$sd&game=del&id=$row[id]\">Удалить</a>|<a href=\"send.php?$sd&game=spam&id=$row[id]\">Спам</a><br/><br/>";
}
}else{
echo "У вас нету личных сообщений.<br/>";}
$q = mysql_query("SELECT COUNT(`id`) FROM `table_sends` WHERE `nick`='$log'");
$kol = mysql_result($q, 0);

if($startan!= 0) $page2left = ' <a href= send.php?'.$sd.'&startan='. ($startan - 5) .'&page='.($page-1).'>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 5) $page2right = ' | <a href= send.php?'.$sd.'&startan='. ($startan + 5) .'&page='. ($page+1) .'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';


if ($startan != 0) {echo '<a href="send.php?'.$sd.'&startan='.($startan - 5).'&&page='.($page-1).'">Назад</a> ';}
if ($kol > $startan + 5) {echo ' <a href="send.php?'.$sd.'&startan='.($startan + 5).'&page='.($page+1).'">Далее</a>';}
echo "<li><a href=\"send.php?$sd&game=send\">Написать</a>";
echo "<li><a href=\"send.php?$sd&game=alldel\">Очистить почту</a>";
$q = mysql_query("SELECT COUNT(`nick`) FROM `table_resends` WHERE `nick`='$log'");
$kol = mysql_result($q, 0);
echo "<li><a href=\"send.php?$sd&game=ih\">Исходящие</a> [$kol]";

echo "<li><a href=\"send.php?$sd&game=send\">Написать новое сообщение</a>";

$g=mysql_query("SELECT * FROM `table_sendcloses` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==0){
echo "<li><a href=\"send.php?$sd&game=onoff\">Закрыть почту</a>";
}else{
echo "<li><a href=\"send.php?$sd&game=onoff\">Открыть почту</a>";
}
$q = mysql_query("SELECT COUNT(`nick`) FROM `table_sends` WHERE `nick`='$log'");
$kol = mysql_result($q, 0);
echo "<br/><br/>Всего писем: <b>$kol</b>";
}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}

include_once"inclydings/down.php";
?>






